libdap::AttrTable::entry Struct Reference

`#include <AttrTable.h>`

## Public Member Functions

void | clone (const entry &rhs)
void | delete_entry ()
| entry (const entry &rhs)
entry & | operator= (const entry &rhs)

## Public Attributes

string | aliased_to
std::vector< string > * | attr
AttrTable * | attributes
bool | is_alias
bool | is_global
string | name
AttrType | type

## Detailed Description

Each AttrTable has zero or more entries. Instead of accessing this struct's members directly, use AttrTable methods.

This struct is public because its type is used in public typedefs.

Definition at line 151 of file AttrTable.h.

The documentation for this struct was generated from the following file:

- AttrTable.h